local dropWeapon = {}

function dropWeapon.init()

end

function dropWeapon.tick()
	if(get_key_pressed(Keys.Back)) then
		if(WEAPON.GET_SELECTED_PED_WEAPON(PLAYER.PLAYER_PED_ID()) ~= GAMEPLAY.GET_HASH_KEY("WEAPON_UNARMED")) then
			while(get_key_pressed(Keys.Back)) do
				wait(0)
			end
			WEAPON.REMOVE_WEAPON_FROM_PED(PLAYER.PLAYER_PED_ID(), WEAPON.GET_SELECTED_PED_WEAPON(PLAYER.PLAYER_PED_ID()))
		end
	end
end

function dropWeapon.unload()

end

return dropWeapon